
Redmine - Defect #13676

I can't click on filter and options

2013-04-04 09:50 - Alexandre Le Madec

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Hello everybody,

Yesterday, i update my redmine to 2.3.0

This is my environnement :

Windows Server 2008 R2

Redmine 2.3.0

Ruby 1.8.7

Rails 3.2.12

SQL SERVER 2008 R2

Now when i want to filters demands, i click on filters but no sub menu appears.

You cann the attachment files.

Thank you

History

#1 - 2013-04-04 14:09 - Etienne Massip

- Category set to Issues

- Priority changed from High to Normal

What do you mean? The dropdown menu on the right side is empty?

Do you have plugins installed?

#2 - 2013-04-04 14:14 - Alexandre Le Madec

No, i Have no plugin.

On the right side i can add filter but he doesn't appear on left side.

If i click on the arrow next Filters, click have no effect.

#3 - 2013-04-04 14:44 - Etienne Massip

Alexandre Le Madec wrote:

No, i Have no plugin.

On the right side i can add filter but he doesn't appear on left side.

 What do you mean by "i can add filter" if it doesn't appear on left side?

If i click on the arrow next Filters, click have no effect.

 The arrow is designed to toggle display of active filters, if you don't have any it'll obviously have no effect.

#4 - 2013-04-04 14:50 - Alexandre Le Madec
If i active any filters, the arrow have no effect to.

And i can't add filter when i choose filter in the drop down menu on the right

#5 - 2013-04-04 15:38 - Etienne Massip

Alexandre Le Madec wrote:

If i active any filters, the arrow have no effect to.

 Still, what do you mean by "I active any filter" since you say you can't add one???

And i can't add filter when i choose filter in the drop down menu on the right

 You wrote the exact opposite a comment before:

On the right side i can add filter (...)

 Please be as descriptive and accurate as possible.

#6 - 2013-04-04 16:03 - Alexandre Le Madec

- File 2013-04-04_1552.png added

- File 2013-04-04_1602.png added

Yes, my fault.

I can't add any new filter and click on cross near Filter. (See 1st pictures)

But my old filters works (SRS DEMANDES in 2nd file) but can't click on filter and options

#7 - 2013-04-04 16:49 - Etienne Massip

Alexandre Le Madec wrote:

I can't add any new filter and click on cross near Filter. (See 1st pictures)

 What happen when you click on a filter in the dropdown list on the right? Any error displayed?

But my old filters works (SRS DEMANDES in 2nd file) but can't click on filter and options

 So it'a custom query named "SRS DEMANDES" with specific filters which you can't show by clicking the "Filtre" title; what does clicking the "Filtres"

title does then? Move the arrow head down? Triggers a javascript error?

What browser are you using?

Could you try cleaning your browser cache?

#8 - 2013-04-04 17:05 - Alexandre Le Madec

- File 2013-04-04_1655.png added

I try on IE, Firefox and Chrome.

3 peoples test this functions.

Clicking Filtres do nothing and Move the arrow head down do nothing too.

I look on google chrome with debug and i see nothing.(look my attachement files)

#9 - 2013-04-16 09:58 - Alexandre Le Madec

Hello,

I up this issues.

#10 - 2013-04-24 04:12 - Filou Centrinov

As I understund you can see the filter list of the field "Add filter" (Ajoute le filtre) and also its values. But, after you select a filter, this filter won't be

added, right?

This seems to be a pure Javascript problem. Have a look to public/javascripts/applications.js. The method initFilters() adds a change event to the filter
list that calls addFilter(). May you can find the code line were javascript breaks. Just add alert('Hello!'); between lines. If you don't see a message

"Hello!" javascript already brokes at this line. Are you in familiar with javascript?

Alternative: Use the build-in javascript console of chrome (Ctrl + Shift + j). May it show an error visiting this site.

Are you using a non default redmine theme (with javascript)?

#11 - 2013-04-24 10:05 - Alexandre Le Madec

- Status changed from New to Resolved

It's ok.

It's my fault.

I copy the entire public directory and not only stylesheet and images.

We can close this issues.

#12 - 2013-04-24 13:24 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

2013-04-04_0946.png 4.75 KB 2013-04-04 Alexandre Le Madec

2013-04-04_1552.png 13.5 KB 2013-04-04 Alexandre Le Madec

2013-04-04_1602.png 4.99 KB 2013-04-04 Alexandre Le Madec

2013-04-04_1655.png 108 KB 2013-04-04 Alexandre Le Madec
